Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

python39-Deprecated-1.2.13-1.4 RPM for noarch

From OpenSuSE Ports Tumbleweed for noarch

Name: python39-Deprecated Distribution: openSUSE:Factory:zSystems
Version: 1.2.13 Vendor: obs://build.opensuse.org/openSUSE:Factory:zSystems
Release: 1.4 Build date: Thu May 12 12:27:55 2022
Group: Development/Languages/Python Build host: s390zp25
Size: 79704 Source RPM: python-Deprecated-1.2.13-1.4.src.rpm
Url: https://github.com/tantale/deprecated
Summary: Python @deprecated decorator
If you need to mark a function or a method as deprecated,
you can use the ``@deprecated`` decorator.

Provides

Requires

License

MIT

Changelog

* Mon Dec 06 2021 Dirk Müller <dmueller@suse.com>
  - update to 1.2.13:
    * Change the signature of the :func:`~deprecated.sphinx.deprecated` decorator to reflect
      the valid use cases.
    * Fix ``versionadded`` and ``versionchanged`` decorators: do not return a decorator factory,
      but a Wrapt adapter.
    * change the requirements for ``pip`` to "pip >= 9.0.3, < 21" (Python 2.7, 3.4 and 3.5).
    * install ``typing`` when building on Python 3.4 (required by Pytest->Attrs).
    * run unit tests on Wrapt 1.13 (release candidate).
* Sun Apr 18 2021 Ben Greiner <code@bnavigator.de>
  - Update to 1.2.12
    * Avoid "Explicit markup ends without a blank line" when the
      decorated function has no docstring.
    * Fix #40: 'version' argument is required in Sphinx directives.
    * Fix #41: deprecated.sphinx: strip Sphinx cross-referencing
      syntax from warning message.
  - Release 1.2.11
    * Fix packit configuration: use upstream_tag_template: v{version}.
    * Fix #33: Change the class ~deprecated.sphinx.SphinxAdapter: add
      the line_length keyword argument to the constructor to specify
      the max line length of the directive text. Sphinx decorators
      also accept the line_length argument.
    * Fix #34: versionadded and versionchanged decorators don't emit
      DeprecationWarning anymore on decorated classes.
* Wed Jul 08 2020 Ondřej Súkup <mimi.vx@gmail.com>
  - Update to 1.2.10
    * Fix #25: @deprecated respects global warning filters with actions other
      than “ignore” and “always” on Python 3.
* Mon May 04 2020 Johannes Grassler <johannes.grassler@suse.com>
  - update to 1.2.9
    * Fix #20: Set the :func:warnings.warn stacklevel to 2 if
      the Python implementation is PyPy
    * Fix packit configuration: use dist-git-branch: fedora-all
    * Change the Tox configuration to run tests on PyPy v2.7 and 3.6.
    * Fix #15: The @deprecated decorator doesn't set a warning
      filter if the action keyword argument is not provided or None.
    * Fix #13: Warning displays the correct filename and line
      number when decorating a class if wrapt does not have the compiled c
      extension.
* Mon Jan 13 2020 Marketa Calabkova <mcalabkova@suse.com>
  - update to 1.2.7
    * Fix: Warning displays the correct filename and line number when
      decorating a function if wrapt does not have the compiled c extension.
    * Add Black configuration file.
* Mon Jul 22 2019 Tomáš Chvátal <tchvatal@suse.com>
  - Update to 1.2.6:
    * Fix #9: Change the project's configuration: reinforce the constraint to the Wrapt requirement.
* Wed Mar 06 2019 Tomáš Chvátal <tchvatal@suse.com>
  - Initial commit, needed by PyGithub

Files

/usr/lib/python3.9/site-packages/Deprecated-1.2.13-py3.9.egg-info
/usr/lib/python3.9/site-packages/Deprecated-1.2.13-py3.9.egg-info/PKG-INFO
/usr/lib/python3.9/site-packages/Deprecated-1.2.13-py3.9.egg-info/SOURCES.txt
/usr/lib/python3.9/site-packages/Deprecated-1.2.13-py3.9.egg-info/dependency_links.txt
/usr/lib/python3.9/site-packages/Deprecated-1.2.13-py3.9.egg-info/not-zip-safe
/usr/lib/python3.9/site-packages/Deprecated-1.2.13-py3.9.egg-info/requires.txt
/usr/lib/python3.9/site-packages/Deprecated-1.2.13-py3.9.egg-info/top_level.txt
/usr/lib/python3.9/site-packages/deprecated
/usr/lib/python3.9/site-packages/deprecated/__init__.py
/usr/lib/python3.9/site-packages/deprecated/__pycache__
/usr/lib/python3.9/site-packages/deprecated/__pycache__/__init__.cpython-39.opt-1.pyc
/usr/lib/python3.9/site-packages/deprecated/__pycache__/__init__.cpython-39.pyc
/usr/lib/python3.9/site-packages/deprecated/__pycache__/classic.cpython-39.opt-1.pyc
/usr/lib/python3.9/site-packages/deprecated/__pycache__/classic.cpython-39.pyc
/usr/lib/python3.9/site-packages/deprecated/__pycache__/sphinx.cpython-39.opt-1.pyc
/usr/lib/python3.9/site-packages/deprecated/__pycache__/sphinx.cpython-39.pyc
/usr/lib/python3.9/site-packages/deprecated/classic.py
/usr/lib/python3.9/site-packages/deprecated/sphinx.py
/usr/share/doc/packages/python39-Deprecated
/usr/share/doc/packages/python39-Deprecated/CHANGELOG.rst
/usr/share/doc/packages/python39-Deprecated/README.md
/usr/share/licenses/python39-Deprecated
/usr/share/licenses/python39-Deprecated/LICENSE.rst


Generated by rpm2html 1.8.1

Fabrice Bellet, Wed Jun 15 00:09:19 2022